### Method

# GimpUi ColorProfileStore add_file

since: 2.10

#### Declaration [src]

    void
    gimp_color_profile_store_add_file (
      GimpColorProfileStore* store,
      GFile* file,
      const gchar* label
    )

#### Description [src]

Adds a color profile item to the `GimpColorProfileStore`. Items added with this function will be kept at the top, separated from the history of last used color profiles.

This function is often used to add a selectable item for the `NULL` file. If you pass `NULL` for both `file` and `label`, the `label` will be set to the string “None” for you (and translated for the user).

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  `GFile` of the profile to add (or `NULL`).

  The data is owned by the caller of the method.

`label`

  Type: `const gchar*`

  Label to use for the profile (may only be `NULL` if `file` is `NULL`).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.